#include <stdlib.h>
#include <stdio.h>
#include <errno.h>

#include "kernel/signal.h"
#include "vserver.h"

int main(int argc, char **argv)
{
	int id;

	if (argc < 2)
	{
		fprintf(stderr, "Usage: %s <xid>\n", argv[0]);
		exit(EXIT_FAILURE);
	}

	id = atoi(argv[1]);

	if (vserver(VCMD_wait_exit, id, NULL) == -1)
	{
		perror("VCMD_wait_exit");
		exit(EXIT_FAILURE);
	}

	exit(EXIT_SUCCESS);
}
